cURL
curl --request POST \ --url https://{tenantDomain}.sinjapp.org/api/v1/messages \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data ' { "to_phone": "{recipient_phone}", "type": "text", "sender_number_id": 123, "sender_phone": "{sender_phone}", "content": "<string>", "duration": 150, "file_name": "<string>", "file_size": 123, "file_type": "<string>" } '
{ "data": { "id": 123, "sender_number_id": 123, "recipient_user_id": 123, "conversation_id": 123, "message_id": 123, "message_type": "<string>", "content": "<string>", "status": "<string>", "sent_at": "2023-11-07T05:31:56Z" } }
"{recipient_phone}"
text
image
voice
document
Required when sender_phone is not provided.
Required when sender_number_id is not provided.
"{sender_phone}"
1 <= x <= 300
Message accepted and logged.
Show child attributes